Retrieve all Google Pass templates
Roles
Analytics Events
/v2/credentials/compact-semantic/digital-pass/google/templatesRetrieves a list of all Google Pass templates available on your tenant.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_START
- CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/digital-pass/google/templates"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1h",
"data": [
{
"id": "3812166c-ac9f-4e4e-96dd-c1336b5be378",
"passType": "apple",
"name": "Certificate of participation",
"metadata": {
"issuerId": "3388000000012346000",
"serviceAccountClientEmail": "app-user@myproject.iam.gserviceaccount.com",
"payPassId": "3388000000012345678.a0bbe92f-c85e-4081-94c3-f842bcd5e463"
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a Google Pass template POST
Creates a Google Pass template based on the provided `.zip` file. Refer to our [Design a Google Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/google-templates) guide for more information on how to design the template and how to structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_CREATE_FAIL
Retrieve a Google Pass template GET
Retrieves an existing Google Pass template by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_START * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_FAIL